Subject: Re: [PATCH] git-svn: correctly access repos when only given partial read permissions

From: Sam Vilain <[email-masked]>
Date: Sun, 03 Dec 2006 10:57:59 +1300

Eric Wong wrote:
> Sometimes users are given only read access to a subtree inside a
> repository, and git-svn could not read log information (and thus
> fetch commits) when connecting a session to the root of the
> repository.  We now start an SVN::Ra session with the full URL
> of what we're tracking, and not the repository root as before.
> 
> This change was made much easier with a cleanup of
> repo_path_split() usage as well as improving the accounting of
> authentication batons.

This broke mirroring file:/// URIs;

eg, if I have ~/.svk/local as a SVN repository, which has a complete
mirror of a URL under mirror/fai, and I want to copy the revisions into
git using git-svn, I use:

perl ~/src/git/git-svn multi-init -t tags -T trunk \
     file:///home/samv/.svk/local/mirror/fai

I now get this error:

Filesystem has no item: File not found: revision 8514, path
'/mirror/fai/tags/mirror/fai/tags' at /home/samv/src/git/git-svn line 3236

(next, I'll make git-svn correctly look at the svm:* revprops to get the
upstream repo URL and revision number for the commit message)